# This cog gives every user a general role when they join the server
import os
from discord.ext import commands
import logging

role_id = os.getenv("FREN_ROLE_ID")
if not role_id:
    raise ValueError("ACTIVE_ROLE_ID not set")

class FrenGiverCog(commands.Cog):
    def __init__(self, bot):
        self.bot = bot

    @commands.Cog.listener()
    async def on_member_join(self, member):
        try:
            role = member.guild.get_role(int(role_id))
            await member.add_roles(role)
            logging.info(f"Added role to {member.display_name}")
        except Exception as e:
            logging.error(f"Failed to add role to {member.display_name}: {e}")

async def setup(bot):
    await bot.add_cog(FrenGiverCog(bot))
